clear all

% cd /home/jhidalgo/Dropbox/Archivos/Tesis/Datos %Pc oficina
cd /Users/Jacque/Dropbox/Archivos/Tesis/Datos %Pc personal

%% Paso1: Cargando todos los datos ACARS

Datos=load('acarssounding201707.mat');


%% Paso2: Loop para seleccionar las variables de interes contenidas en "Datos"


fila=size(Datos.sounding,2); %Tama?o de la matriz #814 sondeos

%%Seleccionando la variable "sounding" la cual contiene toda la informaci?n de interes de los #814 sondeos 

for i=1:fila
    
    Sondas{i,1}=Datos.sounding{i}; %contiene toda la info de los 814 sondeos
    
end

%%Ahora mediante un ciclo obtengo las variables de cada sondeo
    
for i=1:fila
    
    Direccion{i,1}=Sondas{i}.direction; %Matriz que contiene la direccion del sonda: 1=Ascensos;-1=Descensos
    Time{i,1}=Sondas{i}.time; %tiempo de los ascensos y descensos de cada sondeo
    Presion{i,1}=Sondas{i}.pressure;
    Altura{i,1}=Sondas{i}.height;
    Bearing{i,1}=Sondas{i}.bearing;
    Range{i,1}=Sondas{i}.range;
    
end

Total=cat(2,Direccion,Time,Presion,Altura,Bearing,Range);%agrupo las variables obtenidas por el ciclo 
Direccion=cell2mat(Direccion); %Convierte los datos cell a double
Time=cell2mat(Time); %Convierte los datos cell a double

Dir=[Direccion,Time];

clear Direccion Time i fila
%% Punto 1: Encontrar # de ascensos y descensos
% 
Pos_A=find(Dir(:,1)==1);%Posicion de los ascensos
Ascensos=Dir(Pos_A,:);
Pos_D=find(Dir(:,1)==-1);
Descensos=Dir(Pos_D,:);

Datos_A=Total(Pos_A,:); %Datos asociados solamente a ascensos
Datos_D=Total(Pos_D,:); %Datos asociados solamente a Descensos

H_A=hour(datestr(Ascensos(:,2))); %Horas del d?a - Ascensos
H_D=hour(datestr(Descensos(:,2))); %Horas del d?a - Descensos

Ascensos=[Ascensos,H_A];
Descensos=[Descensos,H_D];

%% Graficando la cantidad de ascensos y descensos por hora (Frencuencia de Ascensos/Descensos por hora del d?a)

% figure (1)
% subplot (2,1,1)
% % l1=length(Ascensos);
% [n1,x1]=hist(Ascensos(:,3));
% h1=bar(x1,n1);
% set(h1,'FaceColor','b','EdgeColor','b')
% set(gca,'Xtick',[0:2:24])
% set(gca,'XtickLabel',{'0','2','4','6','8','10','12','14','16','18','20','22','24'})
% set(gca,'Ytick',[0:20:100])
% ylim([0 100])
% xlim([0 24])
% grid on
% xlabel('Horas (UTC)','FontName','Arial','Fontsize',12)
% ylabel('# de sondeos','FontName','Arial','FontSize',12)
% title('N?mero de ascensos por hora del d?a','FontName','Arial','FontWeight','Bold','Fontsize',12)
% 
% subplot (2,1,2)
% % l2=length(Descensos);
% [n2,x2]=hist(Descensos(:,3));
% h2=bar(x2,n2);
% set(h2,'FaceColor','b','EdgeColor','b')
% set(gca,'Xtick',[0:2:24])
% set(gca,'XtickLabel',{'0','2','4','6','8','10','12','14','16','18','20','22','24'})
% set(gca,'Ytick',[0:20:100])
% ylim([0 100])
% xlim([0 24])
% grid on
% xlabel('Horas (UTC)','FontName','Arial','Fontsize',12)
% ylabel('# de sondeos','FontName','Arial','FontSize',12)
% title('N?mero de descensos por hora del d?a','FontName','Arial','FontWeight','Bold','Fontsize',12)
% print('frecuencia_Ascensos_Descensos_xhora', '-dpng', '-r300')

%% Punto 2: Numero de niveles <=850 hPa (1500 metros aprox) (Frecuencia de ascensos/Descensos)

for i=1:size(Datos_A)
    
  H1500_A(i)=length(find(Datos_A{i,4}<=1500)); %Obtengo la cantidad de datos que hay bajo los 1500 metros
    
    
end

H1500_A=H1500_A';

for i=1:size(Datos_D)
    
  H1500_D(i)=length(find(Datos_D{i,4}<=1500));
    
    
end

H1500_D=H1500_D';

%%Graficando la frecuencia de niveles en la vertical bajo los 1500m tanto para ascensos como para descensos
% figure (2)
% subplot (2,1,1)
% [n1,x1]=hist(H1500_A,8);
% h1=bar(x1,n1);
% set(h1,'FaceColor','b','EdgeColor','b')
% % set(gca,'Xtick',[0:2:24])
% % set(gca,'XtickLabel',{'0','2','4','6','8','10','12','14','16','18','20','22','24'})
% set(gca,'Ytick',[0:40:220])
% ylim([0 220])
% % xlim([0 24])
% grid on
% xlabel('N?mero de niveles','FontName','Arial','Fontsize',12)
% ylabel('Total de niveles','FontName','Arial','FontSize',12)
% title([{'N?mero de niveles bajo los 1500 metros'},{' Ascensos'}],'FontName','Arial','FontWeight','Bold','Fontsize',12)
% 
% 
% subplot (2,1,2)
% [n2,x2]=hist(H1500_D,8);
% h2=bar(x2,n2);
% set(h2,'FaceColor','b','EdgeColor','b')
% % set(gca,'Xtick',[0:2:24])
% % set(gca,'XtickLabel',{'0','2','4','6','8','10','12','14','16','18','20','22','24'})
% set(gca,'Ytick',[0:40:220])
% ylim([0 220])
% % xlim([0 24])
% grid on
% xlabel('N?mero de niveles','FontName','Arial','Fontsize',12)
% ylabel('Total de niveles','FontName','Arial','FontSize',12)
% title([{'N?mero de niveles bajo los 1500 metros'},{' Descensos'}],'FontName','Arial','FontWeight','Bold','Fontsize',12)
% print('frecuencia_nivelesbajo1500_A_D', '-dpng', '-r300')

%% Punto 3: Determinar el rango de tiempo y de distancia que hay en 1500m (850 hPa) para Ascensos/Descensos


for i=1:size(Datos_A)
    
  Dist_A(i)=find(Datos_A{i,3}==850); 
    
end


for i=1:size(Datos_D)
    
  Dist_D(i)=find(Datos_D{i,3}==850);
    
    
end





















